import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
// import './utils/permission'
// import './utils/permission'
import ElementUI from 'element-ui';
// import 'element-ui/lib/theme-chalk/index.css';
import '../element-variables.scss'

Vue.use(ElementUI);

import Print from 'vue-print-nb'

Vue.use(Print); //注册

import vuescroll from "vuescroll"; //引入vuescroll
import "vuescroll/dist/vuescroll.css"; //引入vuescroll样式
Vue.use(vuescroll);

import echarts from 'echarts'
Vue.prototype.$echarts = echarts
Vue.prototype.$router1 = router

import { VxeUI, VxeModal } from 'vxe-pc-ui'
import 'vxe-pc-ui/es/style.css'
// import 'vxe-pc-ui/es/icon/style.css'
// import 'vxe-pc-ui/es/modal/style.css'
import zhCN from 'vxe-pc-ui/lib/language/zh-CN'
Vue.use(VxeModal);
VxeUI.setI18n('zh-CN', zhCN)
VxeUI.setLanguage('zh-CN')


Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')